// Removes headers that block CORS and iframes
browser.webRequest.onHeadersReceived.addListener(
    function (details) {
        const headers = details.responseHeaders.filter(header => {
            const name = header.name.toLowerCase();
            return ![
                'x-frame-options',
                'content-security-policy',
                'content-security-policy-report-only',
                'access-control-allow-origin'
            ].includes(name);
        });

        headers.push(
            { name: 'Access-Control-Allow-Origin', value: '*' },
            { name: 'Access-Control-Allow-Headers', value: '*' }
        );

        return { responseHeaders: headers };
    },
    { urls: ["<all_urls>"] },
    ["blocking", "responseHeaders"]
);
